using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace AutoBroker
{
    public partial class IndicatorSelectBox : UserControl
    {
        private ExportDataDetails DetailFrame;

        public IndicatorSelectBox()
        {
            InitializeComponent();
        }

        public void SetDetailFrame(ExportDataDetails detailFrame)
        {
            DetailFrame = detailFrame;
        }

        private void IndicatorSelectBox_Load(object sender, EventArgs e)
        {
            indicatorSelector.Items.Add("Cena waloru");
            indicatorSelector.Items.Add("Zmiana ceny");
            indicatorSelector.Items.Add("SMA");
            indicatorSelector.Items.Add("EMA");
            indicatorSelector.Items.Add("RSI");
            indicatorSelector.SelectedIndex = 0;
            for (int i = 1; i <= 30; i++)
            {
                paramSelector.Items.Add(i.ToString());
            }
            paramSelector.Items.Add(60.ToString());
            paramSelector.Items.Add(90.ToString());
            paramSelector.Items.Add(120.ToString());
            paramSelector.Items.Add(180.ToString());
            paramSelector.Items.Add(360.ToString());
            paramSelector.SelectedIndex = 0;
            for (int i=0; i < MainForm.GetInstance().comboStocks.Items.Count; i++)
            {
                stockSelector.Items.Add(MainForm.GetInstance().comboStocks.Items[i]);
            }
            string curStockName = (string)MainForm.GetInstance().comboStocks.SelectedItem;
            if (curStockName != null)
            {
                int stockIndex = stockSelector.Items.IndexOf(curStockName);
                if (stockIndex > -1)
                {
                    stockSelector.SelectedIndex = stockIndex;
                }
            }
        }        

        private void btnAdd_Click(object sender, EventArgs e)
        {
            Indicator newInd=null;
            string indType = (string)indicatorSelector.SelectedItem;
            string descText = "";
            int paramNum = 1;

            try
            {
                paramNum = int.Parse(paramSelector.Text);
            }
            catch { }

            DetailFrame.CreateIndicator(indType, paramNum, (string)stockSelector.SelectedItem, ref descText, ref newInd);
            
            if (newInd != null)
            {
                DetailFrame.AddIndicator(descText, newInd);
            }
        }
    }
}
