using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Threading;


namespace AutoBroker
{
    public partial class InfoForm : Form
    {
        delegate void SetTextCallback(string text);

        public InfoForm()
        {
            InitializeComponent();
        }

        public void AddText(string text)
        {
            if (this.txtInfo.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(AddText);
                this.Invoke(d, new object[] { text });
            }
            else
            {
                DirectlyAddText(text);
            }
        }

        public void ClearText()
        {
            this.txtInfo.Clear();
        }

        public string GetHtmlText()
        {
            StringBuilder desc = new StringBuilder(512);
            for (int row = 0; row < this.txtInfo.Lines.Length; row++)
            {
                desc.Append(txtInfo.Lines[row]);
                desc.AppendLine(@"<br/>");
            }
            return desc.ToString();
        }

        private void DirectlyAddText(string text)
        {
            this.txtInfo.AppendText(text + System.Environment.NewLine);
        }

        public void ConsoleOutputHandler(object sendingProcess, DataReceivedEventArgs outLine)
        {
            if (!String.IsNullOrEmpty(outLine.Data))
            {
                AddText(outLine.Data);
            }
        }
    }
}