using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace AutoBroker
{

    public class PastToNowRatioIndicator : Indicator
    {
        public int PTNLength = 1;
        protected List<float> PTNValues = new List<float>();

        public PastToNowRatioIndicator()
        {
        }

        public PastToNowRatioIndicator(int pastSessionLength, IValues values)
        {
            PTNLength = pastSessionLength;
            ComputeFor(values);
        }

        protected override void ComputeFor(IValues values)
        {
            if (values == null) return;
            PTNValues = new List<float>();
            if (values.GetNumValues() < PTNLength) return;
            for (int i = 0; i < PTNLength; i++)
            {
                PTNValues.Add(float.NaN);
            }
            for (int i = PTNLength; i < values.GetNumValues(); i++)
            {
                PTNValues.Add(values.GetValue(i) / values.GetValue(i - PTNLength));
            }
        }

        public override float GetValue(int index)
        {
            if ((index >= PTNValues.Count) || (index < 0)) return float.NaN;
            return PTNValues[index];
        }

        public override int GetNumValues()
        {
            return PTNValues.Count;
        }
    }
}
