using System;
using System.Collections.Generic;
using System.Text;

namespace AutoBroker
{
    public class StockValue
    {
        public ValueRep     OpenValue;
        public ValueRep     CloseValue;
        public ValueRep     HighValue;
        public ValueRep     LowValue;        
        public DateTime     Date;
        public int          Volume;

        public StockValue(ref string fileLine)
        {
            string [] subStrings = fileLine.Split(";".ToCharArray());
            if (subStrings.Length != 7)
            {
                throw new ApplicationException("Wrong input string format: " + fileLine);
            }
            Date = new DateTime(int.Parse(subStrings[1].Substring(0, 4)),
                int.Parse(subStrings[1].Substring(4, 2)), int.Parse(subStrings[1].Substring(6, 2)));
            OpenValue = new ValueRep(subStrings[2]);
            HighValue = new ValueRep(subStrings[3]);
            LowValue = new ValueRep(subStrings[4]);
            CloseValue = new ValueRep(subStrings[5]);
            Volume = int.Parse(subStrings[6]);
        }
    }
}
